org.hibernate.search.bridge.impl

## Interface ExtendedBridgeProvider.ExtendedBridgeProviderContext

- All Superinterfaces:
    BridgeProvider.BridgeProviderContext
  Enclosing class:
    ExtendedBridgeProvider

      public static interface ExtendedBridgeProvider.ExtendedBridgeProviderContext
      extends BridgeProvider.BridgeProviderContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatedElement` | `getAnnotatedElement()`
    `Class<?>` | `getElementOrContainerReturnType()` Returns the type of the indexed member/property; it works for arrays and collections too.
    `String` | `getMemberName()`
    `boolean` | `isExplicitlyMarkedAsNumeric()`
    `boolean` | `isId()`

    - ### Methods inherited from interface org.hibernate.search.bridge.spi.BridgeProvider.BridgeProviderContext

      `getReturnType, getServiceManager`

- - ### Method Detail

    - #### getAnnotatedElement

          AnnotatedElement getAnnotatedElement()

      Returns:
        The `AnnotatedElement` for the member seeking a bridge, offering access to its annotations.

    - #### getMemberName

          String getMemberName()

      Returns:
        the member name for log and exception report purposes.

    - #### isId

          boolean isId()

      Returns:
        `true` if the indexed type is the document id, `false` otherwise.

    - #### isExplicitlyMarkedAsNumeric

          boolean isExplicitlyMarkedAsNumeric()

      Returns:
        whether the field in question is marked as numeric field by means of the {code NumericField} annotation or not.

    - #### getElementOrContainerReturnType

          Class<?> getElementOrContainerReturnType()

      Returns the type of the indexed member/property; it works for arrays and collections too.
      Returns:
        the type of the indexed member
      See Also:
        `BridgeProvider.BridgeProviderContext.getReturnType()`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved